<?php
// Add static template
t3lib_extMgm::addStaticFile($_EXTKEY, 'static/', 'Content element wrap');

// Registering CSH (Context Sensitive Help)
t3lib_extMgm::addLLrefForTCAdescr('tt_content', 'EXT:' . $_EXTKEY . '/locallang_csh.xml');

// get extension configuration
$confArr = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['cewrap']);
$l10n_mode = ($confArr['l10n_mode_exclude'] ? 'exclude' : '');

// Add fields for individual id / class for content elements
$tempColumns = Array (
	'tx_cewrap_active' => Array (
		'exclude' => 1,
		'l10n_mode' => $l10n_mode,
		'label' => 'LLL:EXT:cewrap/locallang_db.xml:tt_content.tx_cewrap_active',
		'requestUpdate' => 1,
		'config' => Array (
			'type' => 'check',
		)
	),
	'tx_cewrap_id' => Array (
		'exclude' => 1,
		'l10n_mode' => $l10n_mode,
		'label' => 'LLL:EXT:cewrap/locallang_db.xml:tt_content.tx_cewrap_id',
		'displayCond' => 'FIELD:tx_cewrap_active:REQ:true',
		'config' => Array (
			'type' => 'check',
		)
	),
	'tx_cewrap_id_input' => Array (
		'exclude' => 1,
		'l10n_mode' => $l10n_mode,
		'label' => 'LLL:EXT:cewrap/locallang_db.xml:tt_content.tx_cewrap_id_input',
		'displayCond' => 'FIELD:tx_cewrap_active:REQ:true',
		'config' => Array (
			'type' => 'input',
			'size' => 20,
			'eval' => 'trim,nospace',
		)
	),
	'tx_cewrap_type' => Array (
		'exclude' => 1,
		'l10n_mode' => $l10n_mode,
		'label' => 'LLL:EXT:cewrap/locallang_db.xml:tt_content.tx_cewrap_type',
		'displayCond' => 'FIELD:tx_cewrap_active:REQ:true',
		'config' => Array (
			'type' => 'check',
		)
	),
	'tx_cewrap_class_input' => Array (
		'exclude' => 1,
		'l10n_mode' => $l10n_mode,
		'label' => 'LLL:EXT:cewrap/locallang_db.xml:tt_content.tx_cewrap_class_input',
		'displayCond' => 'FIELD:tx_cewrap_active:REQ:true',
		'config' => Array (
			'type' => 'input',
			'size' => 20,
			'eval' => 'trim',
		)
	),
);
t3lib_div::loadTCA('tt_content');
t3lib_extMgm::addTCAcolumns('tt_content', $tempColumns, 1);

// create palette
t3lib_extMgm::addToAllTCAtypes('tt_content', 'tx_cewrap_active,--palette--;;40', '', 'after:section_frame');
$GLOBALS['TCA']['tt_content']['palettes']['40']['showitem'] = 'tx_cewrap_id,tx_cewrap_id_input,tx_cewrap_type,tx_cewrap_class_input';

// put selectbox "frame" into palette
// makes no sense: wrapping of elements is an advanced feature for admins, and the editor should have always access to the frame selectbox
#$GLOBALS['TCA']['tt_content']['palettes']['40']['showitem'] .= ',section_frame';
#$TCA['tt_content']['columns']['section_frame']['displayCond'] = 'FIELD:basics_wrap:REQ:true';
// only show "frame" selectbox when wrapping is inactive
#$TCA['tt_content']['columns']['section_frame']['displayCond'] = 'FIELD:basics_wrap:REQ:false';

// request an update
if ($TCA['tt_content']['ctrl']['requestUpdate'] != '') {
	$TCA['tt_content']['ctrl']['requestUpdate'] .= ',';
}
$TCA['tt_content']['ctrl']['requestUpdate'] .= 'tx_cewrap_active';
?>